removed pulseaudio-utils and libpulse dependencies

master^2
razorkitty 2 months ago
parent 76809726d5
commit 5fb5cf4b92

@ -15,24 +15,24 @@ This library's import path is `go.arsenm.dev/infinitime`.
### Dependencies
This library requires `dbus`, `bluez`, and `pactl` to function. These allow the library to use bluetooth, control media, control volume, etc.
This library requires `dbus`, and `bluez` to function. These allow the library to use bluetooth, control media, control volume, etc.
#### Arch
```shell
sudo pacman -S dbus bluez libpulse --needed
sudo pacman -S dbus bluez --needed
```
#### Debian/Ubuntu
```shell
sudo apt install dbus bluez pulseaudio-utils
sudo apt install dbus bluez
```
#### Fedora
```shell
sudo dnf install dbus bluez pulseaudio-utils
sudo dnf install dbus bluez
```
---
@ -53,4 +53,4 @@ This library currently supports the following features:
### Mentions
The DFU process used in this library was created with the help of [siglo](https://github.com/alexr4535/siglo)'s source code. Specifically, this file: [ble_dfu.py](https://github.com/alexr4535/siglo/blob/main/src/ble_dfu.py)
The DFU process used in this library was created with the help of [siglo](https://github.com/alexr4535/siglo)'s source code. Specifically, this file: [ble_dfu.py](https://github.com/alexr4535/siglo/blob/main/src/ble_dfu.py)

Loading…
Cancel
Save